{
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Build OpenVulkano",
            "type": "shell",
            "command": "cmake",
            "args": [
                "--build",
                "${workspaceFolder}/build",
                "--target",
                "openVulkanoCpp"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },

        {
            "label": "Build OpenVulkano examples",
            "type": "shell",
            "command": "cmake",
            "args": [
                "--build",
                "${workspaceFolder}/build",
                "--target",
                "OpenVulkano_Examples"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },

        {
            "label": "Build OpenVulkano tests",
            "type": "shell",
            "command": "cmake",
            "args": [
                "--build",
                "${workspaceFolder}/build",
                "--target",
                "OpenVulkano_Examples"
            ],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        }
    ]
}